| Server IP : 185.125.27.153 / Your IP : 216.73.216.193 Web Server : Apache System : Linux d6e05399ed1f11695f7c56648ed78c66 6.1.0-0.deb11.50-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.176-1~deb11u1 (2026-07-02) x86_64 User : uid174255 ( 174255) PHP Version : 8.3.31 Disable Function : exec,passthru,pcntl_exec,popen,proc_open,shell_exec,system MySQL : OFF | cURL : ON | WGET : ON | Perl : ON | Python : OFF | Sudo : OFF | Pkexec : OFF Directory : /usr/share/perl-openssl-defaults/ |
Upload File : |
#!/bin/sh
# read SONAME version from /usr/lib/<triplet>/libssl.so
DEB_HOST_GNU_TYPE=${DEB_HOST_GNU_TYPE:-$(dpkg-architecture -qDEB_HOST_GNU_TYPE)}
DEB_HOST_MULTIARCH=${DEB_HOST_MULTIARCH:-$(dpkg-architecture -qDEB_HOST_MULTIARCH)}
SOFILE=/usr/lib/${DEB_HOST_MULTIARCH}/libssl.so
OBJDUMP=${DEB_HOST_GNU_TYPE}-objdump
if [ ! -r "$SOFILE" ]; then
echo "Can't read '$SOFILE', aborting" 1>&2
exit 1
fi
if ! which "$OBJDUMP" >/dev/null 2>&1; then
echo "Can't run '$OBJDUMP', aborting" 1>&2
exit 1
fi
SONAME=$("$OBJDUMP" -p "$SOFILE" | perl -ne '/SONAME\s+libssl\.so\.(.+)/ and print $1')
if [ ! -n "$SONAME" ]; then
echo "Could not parse SONAME from the output of '$OBJDUMP' '$SOFILE', aborting" 1>&2
exit 2
fi
echo "$SONAME"